<?php
/**
 * Baisc example
 *
 * This is a basic example. No helper classes are defined here.
 * If you want to know how to use some more advanced features,
 * you should have a look at {@link example2.php}.
 *
 * @package Database
 * @author  Alessandro Desantis <desa.alessandro@gmail.com>
 */

/**
 * Includes the class.
 */
require 'Database.php';

/**
 * Sets the database connection data.
 */
Database::setConnectionData(array(
    'dsn'  => 'mysql:host=localhost;dbname=test',
    'user' => 'root',
    'pass' => 'example',
));

/**
 * Instantiates the class.
 */
$db = Database::getInstance();

/**
 * Gets a record from a table.
 */
try {
    $user = $db->getRecord('users', 'id', 1);
}
catch (DatabaseException $e) {
    die($e->getMessage());
}

/**
 * We show the record's data.
 */
echo '<pre>';
print_r($user->getData());
echo '</pre>';

/**
 * Edits some of the fields.
 */
$user->name    = 'Mario';
$user->surname = 'Rossi';

/**
 * You can also do it this way.
 */
// $user['name']    = 'Mario';
// $user['surname'] = 'Rossi';

/**
 * Now we save the data.
 */
$user->commit();

/**
 * We show the record's new data.
 */
echo '<pre>';
print_r($user->getData());
echo '</pre>';

/**
 * Now we resume the initial situation.
 */
$user->name    = 'Faccetta';
$user->surname = 'Nera';

/**
 * We save the data.
 */
$user->commit();
?>
